For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Get supportSee a Demo
HomeAPI ReferenceSDKs
HomeAPI ReferenceSDKs
    • SDKs
    • WebView
  • API Reference
      • GETGet Files
Get supportSee a Demo
API ReferenceFiles

Get Files

GET
/v2/issuers/:organizationId/files/metadata
GET
/v2/issuers/:organizationId/files/metadata
$curl -G https://rewards-api.getkard.com/v2/issuers/organization-123/files/metadata \
> -H "Authorization: Bearer <token>" \
> -d "page[size]=5" \
> --data-urlencode "filter[dateFrom]=2025-02-20T21:56:23Z" \
> --data-urlencode "filter[dateTo]=2025-03-20T21:56:23Z" \
> -d "filter[fileType]=earnedRewardApprovedDailyReconciliationFile" \
> -d sort=-sentDate
1{
2 "data": [
3 {
4 "type": "earnedRewardApprovedDailyReconciliationFile",
5 "attributes": {
6 "fileName": "test-file-10.jsonl",
7 "sentAt": "2025-03-09T21:56:23Z",
8 "lastModified": "2025-03-19T21:56:23Z",
9 "downloadUrl": "https://default-bucket.s3.us-east-1.amazonaws.com/test-file-10.jsonl?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Checksum-Mode=ENABLED&X-Amz-Credential=test%2F20250320%2Fus-east-1%2Fs3%2Faws4_request&X-Amz-Date=20250320T172109Z&X-Amz-Expires=1800&X-Amz-SignedHeaders=host&x-id=GetObject&X-Amz-Signature=c2a7dc6d14d0465b9ba9c24d47574a6bbcfa57856529319f25424c6bb1cf5204"
10 },
11 "id": "67db3d87cb70469be876c852049"
12 }
13 ],
14 "links": {
15 "self": "/v2/files/issuers/0004321/metadata?page%5Bafter%5D=MjAyNS0wMy0xMFQyMTo1NjoyMy40OTY4ODda&page%5Bsize%5D=5&sort%5Bsent_at%5D=DESC",
16 "prev": "/v2/files/issuers/0004321/metadata?page%5Bbefore%5D=MjAyNS0wMy0wOVQyMTo1NjoyMy40OTY4ODda&page%5Bsize%5D=5&sort%5Bsent_at%5D=DESC",
17 "next": "/v2/files/issuers/0004321/metadata?page%5Bafter%5D=MjAyNS0wMy0wNVQyMTo1NjoyMy40OTY4ODda&page%5Bsize%5D=5&sort%5Bsent_at%5D=DESC"
18 },
19 "meta": {
20 "pageSize": 5,
21 "hasNextPage": true
22 }
23}

Retrieves metadata for files associated with a specific issuer/organization. This endpoint supports pagination and sorting options to efficiently navigate through potentially large sets of file metadata. Required scopes: files.read

Was this page helpful?
Previous

Get WebView Token

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

organizationIdstringRequired
Your issuer organization ID, provided by Kard

Query parameters

filter[dateFrom]stringOptional

Start date for filtering files (format ISO8601). If not provided, defaults to current date minus 1 month.

filter[dateTo]stringOptional

End date for filtering files (format ISO8601). If not provided, defaults to current date.

filter[fileType]enumOptional
The document file type.
Allowed values:
page[size]integerOptional
Number of items per page. Defaults to 10 if not specified and maximum value allowed 100 items per page.
page[after]stringOptional

Cursor for forward pagination (next page).

page[before]stringOptional

Cursor for backward pagination (previous page).

sortenumOptional

If provided, response will be sorted by the specified fields. Defaults to descending sentDate, equivalent to “-sentDate”

Allowed values:

Response

This endpoint returns an object.
datalist of objects

List of file metadata objects with their pre-signed URLs.

linksobject
Navigation links for paginated results.
metaobject
Metadata about the pagination status.

Errors

400
Invalid Request
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error